> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extend.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workflow Run

> Once a workflow has been run, take the workflowRunId to check the status and output of a specific WorkflowRun.

### Path

<ParamField path="workflowRunId" type="string">
  The ID of the WorkflowRun that was outputted after a Workflow was run through
  the API.
</ParamField>

### Response

<ResponseField name="success" type="boolean">
  A true or false value for whether the request was successful.
</ResponseField>

<ResponseField name="workflowRun" type="WorkflowRun">
  An object representing a WorkflowRun. See the [WorkflowRun
  object](/api-reference/objects/workflow_run) for the shape of the data.
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request GET 'https://api-prod.extend.app/workflow_runs/:workflowRunId' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer <API_TOKEN>'
  ```
</RequestExample>

<ResponseExample>
  ```json Example Response theme={null}
  {
    "success": true,
    "workflowRun": {
      "object": "workflow_run",
      "id": "workflow_run_1234",
      "status": "PROCESSED",
      "metadata": {
        "internal_id": "id_1234"
      },
      "files": [
        {
          "object": "file",
          "id": "file_1234",
          "name": "example_file_name.pdf",
        }
      ],
      "initialRunAt": "2023-01-01T09:41:00.000Z",
      "reviewedBy": "user_1234",
      "reviewedAt": "2023-01-10T05:39:14.500Z",
      "startTime": "2023-01-01T09:41:00.000Z",
      "endTime": "2023-01-10T05:39:24.500Z",
      "outputs": [
        {
          "object": "document_processor_run",
          "id": "dpr_1234",
          "edited": true,
          "type": "EXTRACT",
          "initialOutput": {
            // Output object - see “Processor output types” for details
          },
          "reviewedOutput": {
            // Output object - see “Processor output types” for details
          },
          "output": { 
            // Output object - see “Processor output types” for details
          }
        }
      ],
      "workflow": {
        "object": "workflow",
        "id": "workflow_1234",
        "version": "1",
        "name": "test_workflow"
      }
    }
  }
  ```
</ResponseExample>
